package com.ruoyi.sim.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 故障对象 sim_fault
 *
 * @author tom
 * @date 2024-12-13
 */
public class Fault extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 故障ID
     */
    private String faultId;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String parentFaultId = "";

    /**
     * 模拟器类型
     */
    @Excel(name = "模拟器类型")
    private String simType;

    /**
     * 故障类型:
     * 1:故障现象
     * 2:故障现象的可能原因
     * 3:故障部位
     * 4:故障部位的排除方法
     * 5:修复结论
     */
    @Excel(name = "故障类型")
    private String faultType;

    /**
     * 互斥的故障ID
     */
    @Excel(name = "互斥的故障ID")
    private String conflictFaultId;

    /**
     * 名称
     */
    @Excel(name = "名称")
    private String name;

    /**
     * 通信报文
     */
    @Excel(name = "通信报文")
    private String simMsg;

    /**
     * 显示顺序
     */
    @Excel(name = "显示顺序")
    private Integer orderNum;

    public void setFaultId(String faultId) {
        this.faultId = faultId;
    }

    public String getFaultId() {
        return faultId;
    }

    public void setParentFaultId(String parentFaultId) {
        this.parentFaultId = parentFaultId;
    }

    public String getParentFaultId() {
        return parentFaultId;
    }

    public void setSimType(String simType) {
        this.simType = simType;
    }

    public String getSimType() {
        return simType;
    }

    public void setFaultType(String faultType) {
        this.faultType = faultType;
    }

    public String getFaultType() {
        return faultType;
    }

    public void setConflictFaultId(String conflictFaultId) {
        this.conflictFaultId = conflictFaultId;
    }

    public String getConflictFaultId() {
        return conflictFaultId;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setSimMsg(String simMsg) {
        this.simMsg = simMsg;
    }

    public String getSimMsg() {
        return simMsg;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }

    public Integer getOrderNum() {
        return orderNum;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("faultId", getFaultId())
                .append("parentFaultId", getParentFaultId())
                .append("simType", getSimType())
                .append("faultType", getFaultType())
                .append("conflictFaultId", getConflictFaultId())
                .append("name", getName())
                .append("simMsg", getSimMsg())
                .append("orderNum", getOrderNum())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
